Skip to main content

Fees Taxes

Overview​

This resource represents Fees Taxes - the taxes for a fee, which can be either configured to be included in fee's rate or not.

Parameters​

NameTypeRead/WriteDescription
accountIntegerReadAccount's ID related to the Fees Tax
feeIntegerReadFee's ID related to the Fees Tax
taxIntegerReadTax's ID related to the Fees Tax
idIntegerReadFees Tax's id.
tax_included_in_rateBooleanReadWhether Tax amount is already included in fee's rate or not. If fee's rate is 100 and there is a tax with a percentage of 10% assigned to it, that tax would already be included in 100 if it the value was set to true. However, if set to false, the "total" amount (in the context of Bookings) would be 100 + 10% from 100 which is 110.
created_atTimeReadFees Tax's create time.
updated_atTimeReadFees Tax's update time.

List fees taxes​

List all fees taxes for a given account(s).

GET /fees_taxes

Get a single fees tax​

Returns a single fees tax identified by ID.


GET /fees_taxes/:fees_tax_id

Create a new fees tax​

Returns a newly created fees tax.

POST /fees/:fee_id/fees_taxes

Update a fees tax​

Returns an updated fees tax identified by ID.

PUT /fees_taxes/:fees_tax_id

Delete fees tax​

Required OAuth scope: :rates_write

Returns empty response with 204 No Content status code on success.

DELETE /fees_taxes/:fees_tax_id